Bug 186181 - httpd.conf invalid for Apache 2.2
Summary: httpd.conf invalid for Apache 2.2
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords:
: 186725 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-22 00:52 UTC by Johannes Engel
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-22 08:42:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The patch corrects the configuration file httpd.conf as mentioned above (958 bytes, patch)
2006-03-22 00:52 UTC, Johannes Engel
no flags Details | Diff

Description Johannes Engel 2006-03-22 00:52:25 UTC
Description of problem:
The bundled configuration file httpd.conf is invalid for the shipped version 2.2
of Apache httpd.
1st issue: Line 176: "LoadModule access_module ..." has to be replaced by
"LoadModule authz_host_module modules/mod_authz_host.so".
2nd issue: Line 205: "LoadModule imap_module ..." has to be removed or commented
out since imap_module is not shipped here.

Version-Release number of selected component (if applicable):
httpd-2.2.0-5.1.2.i386

Comment 1 Johannes Engel 2006-03-22 00:52:25 UTC
Created attachment 126448 [details]
The patch corrects the configuration file httpd.conf as mentioned above

Comment 2 Joe Orton 2006-03-22 08:42:57 UTC
The httpd.conf shipped in FC5 does not need such changes; it looks like you have
an httpd.conf from an older install.  It should have been displaced if you upgraded.

Comment 3 Johannes Engel 2006-03-22 21:56:24 UTC
I did not upgrade but a fresh install from the new DVD which to me seems to be
FC5 and no test version. Is there a possibility to check?

Comment 4 Ignacio Vazquez-Abrams 2006-03-25 19:45:42 UTC
*** Bug 186725 has been marked as a duplicate of this bug. ***

Comment 5 Robert Stickney 2006-03-26 05:25:15 UTC
On the FC5 DVD the configuration file for Apache 2.2 is named "http.conf.bak"
the file named "http.conf" is for V2.0.  The only problem is that it does not
index directories (when no index.html is present) fresh after install.

ps. sorry for bug 186725 I did not find this bug report.

Comment 6 Joe Orton 2006-03-26 11:44:16 UTC
The default httpd.conf in the httpd package really does not reference the old
modules.  Perhaps see bug 180056 if you're using system-config-httpd.


Note You need to log in before you can comment on or make changes to this bug.